Reply to a post comment
curl --request POST \
--url https://api.kavenio.com/v1/posts/{postId}/comments/reply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetId": "gggggggggggggggg",
"text": "Thanks for the question.",
"rootUri": "at://did:plc:creator/app.bsky.feed.post/3kavenio",
"rootCid": "bafyroot",
"parentUri": "at://did:plc:reply/app.bsky.feed.post/3reply",
"parentCid": "bafyreply",
"parentStatusId": "109404970108594431"
}
'import requests
url = "https://api.kavenio.com/v1/posts/{postId}/comments/reply"
payload = {
"targetId": "gggggggggggggggg",
"text": "Thanks for the question.",
"rootUri": "at://did:plc:creator/app.bsky.feed.post/3kavenio",
"rootCid": "bafyroot",
"parentUri": "at://did:plc:reply/app.bsky.feed.post/3reply",
"parentCid": "bafyreply",
"parentStatusId": "109404970108594431"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetId: 'gggggggggggggggg',
text: 'Thanks for the question.',
rootUri: 'at://did:plc:creator/app.bsky.feed.post/3kavenio',
rootCid: 'bafyroot',
parentUri: 'at://did:plc:reply/app.bsky.feed.post/3reply',
parentCid: 'bafyreply',
parentStatusId: '109404970108594431'
})
};
fetch('https://api.kavenio.com/v1/posts/{postId}/comments/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"postId": "<string>",
"targetId": "<string>",
"createdAt": "<string>",
"accountId": "<string>",
"commentUri": "<string>",
"commentCid": "<string>",
"platformLikeId": "<string>",
"nativeUrl": "<string>",
"deleted": true,
"liked": true,
"unliked": true
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Posts
Reply to post comment
Creates a provider-backed reply for a published post target. For Bluesky, pass the root and parent AT URI/CID pair returned by the comments endpoint. For Mastodon, pass parentStatusId or omit it to reply to the published status.
POST
/
v1
/
posts
/
{postId}
/
comments
/
reply
Reply to a post comment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Body
application/json
Required string length:
1 - 300Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Available options:
twitter, pinterest, linkedin, bluesky, mastodon, reddit, telegram, youtube, facebook, instagram, threads, tiktok, googlebusiness, discord Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Was this page helpful?
⌘I